curl --request POST \
--url https://api-sandbox.argyle.com/partners/v2/verifications \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"report": {
"type": "voie"
},
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"configuration": {
"notified_recipients": [
"loan.officer@example.com",
"processor@example.com"
]
}
}
'{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "api",
"status": {
"state": "PENDING",
"code": "pending",
"errors": []
},
"report": {
"id": null,
"type": "voie",
"file_url": null,
"json_url": null
},
"employments": [],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"configuration": {
"notified_recipients": [
"loan.officer@example.com",
"processor@example.com"
]
},
"data_source": "payroll"
}Order a verification
Orders a new verification.
Create a user or update an existing user with the required details before ordering payroll, banking, or document verifications.
curl --request POST \
--url https://api-sandbox.argyle.com/partners/v2/verifications \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"report": {
"type": "voie"
},
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"configuration": {
"notified_recipients": [
"loan.officer@example.com",
"processor@example.com"
]
}
}
'{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "api",
"status": {
"state": "PENDING",
"code": "pending",
"errors": []
},
"report": {
"id": null,
"type": "voie",
"file_url": null,
"json_url": null
},
"employments": [],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"configuration": {
"notified_recipients": [
"loan.officer@example.com",
"processor@example.com"
]
},
"data_source": "payroll"
}Authorizations
Username = api_key_id, Password = api_key_secret
Body
Request body for ordering a verification.
userandreportare required for all requests.employmentsis required for document verifications only.report.configurationis used for banking verifications only.loanandbillingapply to regular payroll and mortgage verification workflows.
User ID for the verification.
Report request configuration.
Show child attributes
Show child attributes
List of employments for the user.
Required for document verifications only. Not used for payroll or banking verifications.
Show child attributes
Show child attributes
Optional loan details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Optional billing details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Unique ID of the verification.
ID of the user associated with the verification.
ID of the client on whose behalf the verification was requested.
Origin of the verification order.
api, encompass "api"
Verification status information.
Show child attributes
Show child attributes
Report information.
Show child attributes
Show child attributes
List of employments for the user. Documents only.
Show child attributes
Show child attributes
Optional loan details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Optional billing details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source of verification data.
payroll, banking, documents